Subject: bug#63142: 30.0.50; QUOTING_STYLE can break dired

From: Yuri D'Elia <[email-masked]>
Date: Fri, 28 Apr 2023 12:37:38 +0200

On Fri, Apr 28 2023, Eli Zaretskii wrote:
>> Should dired handle QUOTING_STYLE (looking at the coreutils manual it
>> seems that other tools besides ls handle it) or should dired actively
>> suppress the quoting mode?
>
> I'd suggest first to report this to Coreutils maintainers: it makes
> little sense to me to honor QUOTING_STYLE when --dired is specified.
> If the Coreutils folks decline to handle this, then I guess we will
> have to.

What sort of output should ls use in --dired mode?

literal?

>From the documentation it seems that '-b' should be used to interact
with newlines, so some form of quoting might still be wanted?